Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.HitTestAccuracy

    java.lang.Object
      java.lang.Enum<Qt.HitTestAccuracy>
          com.trolltech.qt.core.Qt.HitTestAccuracy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.HitTestAccuracy>

Enclosing interface:
  Qt

    public static enum Qt.HitTestAccuracy

extends java.lang.Enum<Qt.HitTestAccuracy>
implements QtEnumerator

This enum contains the types of accuracy that can be used by the `QTextDocument` class when testing for mouse clicks on text documents.

This enum is defined in the `<QTextDocument>` header file.

Enum Constant Summary
`ExactHit` The point at which input occurred must coincide exactly with input-sensitive parts of the document.
`FuzzyHit` The point at which input occurred can lie close to input-sensitive parts of the document.

Method Summary
`static Qt.HitTestAccuracy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.HitTestAccuracy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.HitTestAccuracy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ExactHit

    public static final Qt.HitTestAccuracy ExactHit

  The point at which input occurred must coincide exactly with input-sensitive parts of the document.

### FuzzyHit

    public static final Qt.HitTestAccuracy FuzzyHit

  The point at which input occurred can lie close to input-sensitive parts of the document.

Method Detail

### values

    public static final Qt.HitTestAccuracy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.HitTestAccuracy c : Qt.HitTestAccuracy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.HitTestAccuracy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.HitTestAccuracy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD